Bug 466490 - A non-offline IRC accounts in Pidgin stops SCIM
A non-offline IRC accounts in Pidgin stops SCIM
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pidgin (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-10 10:40 EDT by Mitch Davis
Modified: 2008-11-23 14:59 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-23 14:59:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pic 1 (18.29 KB, image/png)
2008-10-10 10:42 EDT, Mitch Davis
no flags Details
pic 2 (13.85 KB, image/png)
2008-10-10 10:43 EDT, Mitch Davis
no flags Details
pic 3 (33.51 KB, image/png)
2008-10-10 10:43 EDT, Mitch Davis
no flags Details
pic 4 (29.52 KB, image/png)
2008-10-10 10:44 EDT, Mitch Davis
no flags Details

  None (edit)
Description Mitch Davis 2008-10-10 10:40:46 EDT
Description of problem:

I use Pidgin.  I like to type Chinese to my friends using the SCIM input method editor software.  Recently SCIM stopped working inside of Pidgin (but it still works fine in every other app).  I have tracked this problem down to having a non-offline IRC account.  When an IRC account is online, it's not possible to turn SCIM on.

Version-Release number of selected component (if applicable):
Pidgin 2.5.1-1.fc9

How reproducible:
Always

Note: [[x]] refers to attached screenshots.

Steps to Reproduce:
1. Ensure .purple directory is removed, therefore no pre-existing accounts, accelerators, preferences or contacts.
2. Start pidgin.
3. Press Ctrl-L.  In the "View User Log" dialog, press the SCIM activation key combo (for me it's Ctrl-Space), then try typing Chinese.  Verify that Chinese works. [[pic 1]]
4. Add an IRC account.  (I added one to irc.freenode.net) [[pic 2]]
5. Restart Pidgin.
6. Using ^L again, verify in the "View User Log" dialog that SCIM **cannot** be activated.  After pressing the SCIM key combo, only English can be typed.  [[pic 3]]
7. Change Pidgin status to offline, or disable the IRC account.
8. Restart Pidgin.
9. Using ^L again, verify in the "View User Log" dialog that SCIM **can** be activated even when IRC account is there, as long as IRC is offline.  [[pic 4]]

Additional info:
This problem (SCIM can't be activated) happens in all Pidgin dialogs and all conversation windows, regardless of conversation protocol.

The selected encoding of the IRC account is "UTF-8" (sounds correct to me).  Haven't tried anything else.

Please see screenshots for more information.
Comment 1 Mitch Davis 2008-10-10 10:42:20 EDT
Created attachment 320021 [details]
pic 1
Comment 2 Mitch Davis 2008-10-10 10:43:01 EDT
Created attachment 320022 [details]
pic 2
Comment 3 Mitch Davis 2008-10-10 10:43:39 EDT
Created attachment 320023 [details]
pic 3
Comment 4 Mitch Davis 2008-10-10 10:44:27 EDT
Created attachment 320024 [details]
pic 4
Comment 5 Warren Togami 2008-10-11 23:11:15 EDT
Adding eng-i18n-bugs, since they know SCIM a lot better than me.
Comment 6 Yao Ziyuan 2008-10-28 14:52:28 EDT
i confirm this bug. it is very bad.
Comment 7 Mitch Davis 2008-10-28 20:39:06 EDT
When talking to friends, everything I type has to go into a gedit window, then copy and paste into Pidgin!  You have no idea of how annoying this bug is!  

Please Fedora guys!  Three weeks and no feedback!

  http://developer.pidgin.im/ticket/7304

Anything I can do to help?
Comment 8 Yao Ziyuan 2008-10-29 09:14:03 EDT
my solution for now is simply disabling irc accounts in pidgin and use x-chat for irc.
Comment 9 Yao Ziyuan 2008-10-29 09:24:58 EDT
actually, this is a bug in fedora 8, 9 and 10. in fedora 7 i didn't encounter it.

it is not a bug of pidgin itself, since i also used recent versions of ubuntu (7.10, 8.04, 8.10) with recent versions of pidgin (2.4.x, 2.5.x) without the problem.

it is a bug about how fedora 8/9/10 compiles, packages and configures pidgin. (maybe a compile argument related to scim is missing?)

for now, just disable all IRC accounts in your pidgin so you can input chinese when IM'ing your friends. use x-chat as a separate solution for irc.
Comment 10 Warren Togami 2008-11-20 16:59:25 EST
I have seen this behavior during F-9, but I am unable to reproduce it on F-10 with pidgin-2.5.2-1.  Are you using pidgin-2.5.2?
Comment 11 Yao Ziyuan 2008-11-20 18:10:19 EST
i think someone planted a weird bug deep in fedora which causes various weird behaviors. for another example, when i move my mouse on one of the three GNOME menus (Applications, Places, System), the GNOME Terminal launcher icon on the same panel will automatically be brightened. i'm using ubuntu + Aurora Leopard BSM theme now and it's a lot more normal...

Note You need to log in before you can comment on or make changes to this bug.